//
// Name: INTERSTELLAR CONSOLE -- Return Dome Mode Flag
// Author: Misato Observatory, Wakayama, Japan
// License: GPL (General Public License)
//

function getFlagDomeMode()
{

  var arr_objtst = StelSkyLayerMgr.getAllKeys();

  var i_objtst;
  var flag_existence = false;

  for ( i_objtst=0 ; i_objtst < arr_objtst.length ; i_objtst++ ) {
    if ( arr_objtst[i_objtst] == "0000_dome" ) {
      flag_existence = true;
      break;
    }
    else if ( arr_objtst[i_objtst].substring(0,1) != "0" ) {
      break;
    }
  }

  return flag_existence;

}

